List catalog products
curl --request GET \
--url https://api.trama.so/v1/catalog/products \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.trama.so/v1/catalog/products"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.trama.so/v1/catalog/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"capacityMax": 123,
"capacityMin": 123,
"coverImage": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"currency": "<string>",
"description": "<string>",
"destinations": [
"<string>"
],
"durationDays": 123,
"durationHours": 123,
"excludes": [
"<string>"
],
"externalReferenceCode": "<string>",
"fromPrice": 123,
"gallery": [
"<string>"
],
"id": "<string>",
"includes": [
"<string>"
],
"operator": "<string>",
"priceBasis": "<string>",
"priceMax": 123,
"shortDescription": "<string>",
"specialConditions": "<string>",
"title": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"validFrom": "<string>",
"validUntil": "<string>",
"variants": [
{
"capacityMax": 123,
"capacityMin": 123,
"currency": "<string>",
"description": "<string>",
"durationDays": 123,
"durationHours": 123,
"excludes": [
"<string>"
],
"fromPrice": 123,
"id": "<string>",
"includes": [
"<string>"
],
"label": "<string>",
"position": 123,
"priceMax": 123,
"shortDescription": "<string>"
}
]
}
],
"pagination": {
"limit": 123,
"offset": 123,
"total": 123
}
}{
"error": {
"code": "CATALOG_PRODUCT_NOT_FOUND",
"message": "The catalog product does not exist."
}
}{
"error": {
"code": "CATALOG_PRODUCT_NOT_FOUND",
"message": "The catalog product does not exist."
}
}{
"error": {
"code": "CATALOG_PRODUCT_NOT_FOUND",
"message": "The catalog product does not exist."
}
}{
"error": {
"code": "CATALOG_PRODUCT_NOT_FOUND",
"message": "The catalog product does not exist."
}
}{
"error": {
"code": "CATALOG_PRODUCT_NOT_FOUND",
"message": "The catalog product does not exist."
}
}Catalog
List catalog products
Returns the organization’s non-archived products, most recently updated first.
GET
/
v1
/
catalog
/
products
List catalog products
Authorizations
bearerAuthapiKeyHeader
The organization API key, sent as Authorization: Bearer <key>.
Query Parameters
How many items to return. Maximum 100.
Required range:
1 <= x <= 100Example:
25
How many items to skip from the beginning.
Required range:
x >= 0Example:
0
Available options:
economic, mid, premium Matches against the title, summary and description.
Minimum string length:
1Available options:
active, paused, draft Available options:
package, experience, expedition, custom ⌘I